INSTALL(1)

NAME
install - install files

SYNOPSIS
install [ -cs ] [ -g group ] [ -m mode ] [ -o owner ] file1 file2

install [ -cs ] [ -g group ] [ -m mode ] [ -o owner ] file ... directory

install -d [ -g group ] [ -m mode ] [ -o owner ] directory

AVAILABILITY
This command is available with the Install software installation option. Refer to for information on how to install optional software.

DESCRIPTION
Install is used within makefiles to copy new versions of files into a destination directory and to create the destination directory itself.

The first two forms are similar to the cp(1) command with the addition that executable files can be stripped during the copy and the owner, group, and mode of the installed file(s) can be given.

The third form can be used to create a destination directory with the required owner, group and permissions.

Note: install uses no special privileges to copy files from one place to another. The implications of this are:
    •   You must have permission to read the files to be installed.
    •   You must have permission to copy into the destination file or directory.
    •   You must have permission to change the modes on the final copy of the file if you want to use the -m option to change modes.
    •   You must be superuser if you want to specify the ownership of the installed file with -o. If you are not the super-user, or if -o is not in effect, the installed file will be owned by you, regardless of who owns the original.

OPTIONS

-g group
    Set the group ownership of the installed file or directory. (staff by default)

-m mode
    Set the mode for the installed file or directory. (0755 by default)

-o owner
    If run as root, set the ownership of the installed file to the user-ID of owner.

-c  Copy files. In fact install always copies files, but the -c option is retained for backwards compatibility with old shell scripts that might otherwise break.

-s  Strip executable files after they are copied.

-d  Create a directory. Missing parent directories are created as required as in mkdir -p. If the directory already exists, the owner, group and mode will be set to the values given on the command line.

SEE ALSO
chgrp(1), chmod(1V), cp(1), mkdir(1), strip(1), chown(8)